﻿:root {
    /* Overrides */
    font-size: calc(0.8em + 0.2vw);
    /* Variables */
    --th-margin: 1em;
    --th-footer-height: 3.2em;
}

* + * {
    margin-top: var(--th-margin);
}

html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: var(--th-footer-height);
}

a[target="_blank"]:after {
    content: "↗";
}

.navbar-collapse,
.navbar .navbar-nav > * + * {
    margin-top: unset;
}

.row + .row {
    margin-top: var(--th-margin);
}

.th-footer {
    width: 100vw;
    position: fixed;
    bottom: 0;
    text-align: center;
    /* Vertically center the text there */
    line-height: var(--th-footer-height);
}

.dropzone {
    border: medium dashed #dedede;
    border-radius: 0.6em;
    background: var(--light);
}

    .dropzone .th-upload-icon {
        font-size: 5em;
        line-height: 1;
    }

    .dropzone .dz-message {
        color: var(--gray);
        text-transform: uppercase;
    }

.form-group + .form-group {
    margin-top: unset;
}

.th-switch.form-switch {
    margin: 0;
    transform: scale(1.5);
    transform-origin: top left;
}

.th-main-buttons {
    display: flex;
    gap: var(--th-margin);
    justify-content: center;
}

    .th-main-buttons > .btn {
        margin-top: unset;
    }

.th-text-block * + * {
    text-align: left;
    margin-top: unset;
}